- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoArchive< MOEOT > Class Template Reference

An archive is a secondary population that stores non-dominated solutions. More...

`#include <moeoArchive.h>`

Inheritance diagram for moeoArchive< MOEOT >:

List of all members.

## Public Types
typedef MOEOT::ObjectiveVector | ObjectiveVector
| The type of an objective vector for a solution.
## Public Member Functions
| moeoArchive ()
| Default ctor.
| moeoArchive (moeoObjectiveVectorComparator< ObjectiveVector > &_comparator)
| Ctor.
bool | dominates (const ObjectiveVector &_objectiveVector) const
| Returns true if the current archive dominates _objectiveVector according to the moeoObjectiveVectorComparator given in the constructor.
bool | contains (const ObjectiveVector &_objectiveVector) const
| Returns true if the current archive already contains a solution with the same objective values than _objectiveVector.
void | update (const MOEOT &_moeo)
| Updates the archive with a given individual _moeo.
void | update (const eoPop< MOEOT > &_pop)
| Updates the archive with a given population _pop.
bool | equals (const moeoArchive< MOEOT > &_arch)
| Returns true if the current archive contains the same objective vectors than the given archive _arch.
## Private Attributes
moeoObjectiveVectorComparator< ObjectiveVector > & | comparator
| The moeoObjectiveVectorComparator used to compare solutions.
moeoParetoObjectiveVectorComparator< ObjectiveVector > | paretoComparator
| A moeoObjectiveVectorComparator based on Pareto dominance (used as default).

## Detailed Description

### template<class MOEOT>
class moeoArchive< MOEOT >

An archive is a secondary population that stores non-dominated solutions.

Definition at line 23 of file moeoArchive.h.

## Constructor & Destructor Documentation

template<class MOEOT>

moeoArchive< MOEOT >::moeoArchive | ( |  | ) | `[inline]`

Default ctor.

The moeoObjectiveVectorComparator used to compare solutions is based on Pareto dominance

Definition at line 43 of file moeoArchive.h.

template<class MOEOT>

moeoArchive< MOEOT >::moeoArchive | ( | moeoObjectiveVectorComparator< ObjectiveVector > & | _comparator | ) | `[inline]`

Ctor.

Parameters:

  | _comparator | the moeoObjectiveVectorComparator used to compare solutions

Definition at line 51 of file moeoArchive.h.

## Member Function Documentation

template<class MOEOT>

bool moeoArchive< MOEOT >::dominates | ( | const ObjectiveVector & | _objectiveVector | ) | const`[inline]`

Returns true if the current archive dominates _objectiveVector according to the moeoObjectiveVectorComparator given in the constructor.

Parameters:

  | _objectiveVector | the objective vector to compare with the current archive

Definition at line 59 of file moeoArchive.h.

template<class MOEOT>

bool moeoArchive< MOEOT >::contains | ( | const ObjectiveVector & | _objectiveVector | ) | const`[inline]`

Returns true if the current archive already contains a solution with the same objective values than _objectiveVector.

Parameters:

  | _objectiveVector | the objective vector to compare with the current archive

Definition at line 76 of file moeoArchive.h.

Referenced by moeoArchive< EOT >::equals().

template<class MOEOT>

void moeoArchive< MOEOT >::update | ( | const MOEOT & | _moeo | ) | `[inline]`

Updates the archive with a given individual _moeo.

Parameters:

  | _moeo | the given individual

Definition at line 93 of file moeoArchive.h.

Referenced by moeoArchive< EOT >::update().

template<class MOEOT>

void moeoArchive< MOEOT >::update | ( | const eoPop< MOEOT > & | _pop | ) | `[inline]`

Updates the archive with a given population _pop.

Parameters:

  | _pop | the given population

Definition at line 136 of file moeoArchive.h.

template<class MOEOT>

bool moeoArchive< MOEOT >::equals | ( | const moeoArchive< MOEOT > & | _arch | ) | `[inline]`

Returns true if the current archive contains the same objective vectors than the given archive _arch.

Parameters:

  | _arch | the given archive

Definition at line 150 of file moeoArchive.h.

The documentation for this class was generated from the following file:

- moeoArchive.h